from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Int

Rsat_Compare_Matrices_V0_1_0 = CommandToolBuilder(tool="rsat_compare_matrices", base_command=["rsat", "compare-matrices"], inputs=[ToolInput(tag="in_compare_matrices", input_type=String(), position=0, doc=InputDocumentation(doc="[1mVERSION[0m")), ToolInput(tag="in_sequences", input_type=String(), position=0, doc=InputDocumentation(doc="pattern matching")), ToolInput(tag="in_pssm", input_type=String(), position=1, doc=InputDocumentation(doc="[1mUSAGE[0m")), ToolInput(tag="in_column_dot", input_type=String(), position=0, doc=InputDocumentation(doc="[prefix].gml")), ToolInput(tag="in_wr__w", input_type=String(), position=0, doc=InputDocumentation(doc="wr1 = w / w1\nwr2 = w / w2")), ToolInput(tag="in_respectively_dot", input_type=String(), position=0, doc=InputDocumentation(doc="[1mSum of Squared Distances (SSD)[0m")), ToolInput(tag="in_note", input_type=String(), position=0, doc=InputDocumentation(doc="An alternative would be to use as normalizing factor the length of the\nalignment (w) relative to the length of the shorter motif.\nNcor = cor * w / min(w1,w2)\nThis however tends to favour matches between very short motifs (4-5\nresidues) which cover only a fraction of the query motif.")), ToolInput(tag="in_convert_background_model_dot", input_type=String(), position=0, doc=InputDocumentation(doc="[1m-top1 X[0m")), ToolInput(tag="in_file_two_dot", input_type=Int(), position=0, doc=InputDocumentation(doc="This is the typical use of [33mcompare-matrices[0m: comparing one or")), ToolInput(tag="in_pair_dot", input_type=String(), position=0, doc=InputDocumentation(doc="This mode is used by [33mcluster-matrices[0m in order to obtain a table")), ToolInput(tag="in_matching_profiles_convenient", input_type=String(), position=0, doc=InputDocumentation(doc="Matching profiles are convenient for drawing the similarity")), ToolInput(tag="in_example", input_type=String(), position=0, doc=InputDocumentation(doc="Comparing motifs in a strand-insensitive way (-strand DR)\nDNA-binding motifs are usually strand-insensitive. A motif may\nbe detected in one given orientation by a motif-discovery\nalgorithm, but annotated in the reverse complementary\norientation in a motif database. For DNA binding motifs, we thus\nrecomment the DR option.\nOn the contrary, RNA-related signals (termination,\npoly-adenylation, miRNA) are strand-sensitive, and should be\ncompared in a single orientation (-strand D).")), ToolInput(tag="in_symmetry_dot", input_type=String(), position=0, doc=InputDocumentation(doc="DNA signals can either be symmetrical (reverse complementary")), ToolInput(tag="in_mode_dot", input_type=String(), position=0, doc=InputDocumentation(doc="[33mmatch_rank[0m")), ToolInput(tag="in_graph_exported_open", input_type=String(), position=0, doc=InputDocumentation(doc="The graph is exported in GML (open with CytoScape or yet) and")), ToolInput(tag="in_matches_dot", input_type=String(), position=0, doc=InputDocumentation(doc="z-score = (score - mean(score) ) / sd(score)"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Rsat_Compare_Matrices_V0_1_0().translate("wdl", allow_empty_container=True)

